Skip to main content
`Ctrl`+`K`

# PetscFEType

String with the name of a PETSc finite element space

## Synopsis

    typedef const char *PetscFEType;
    #define PETSCFEBASIC     "basic"
    #define PETSCFEOPENCL    "opencl"
    #define PETSCFECOMPOSITE "composite"
    #define PETSCFEVECTOR    "vector"

## Note

Currently, the classes are concerned with the implementation of element integration

## See Also

`PetscFESetType()`, `PetscFE`

## Level

beginner

## Location

include/petscfe.h

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages